Overview | Package | Class | Tree | Deprecated | Index | Help
| JavaSVN Home
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.tmatesoft.svn.core.wc
Class SVNStatusClient

    java.lang.Object
      org.tmatesoft.svn.core.wc.SVNBasicClient
          org.tmatesoft.svn.core.wc.SVNStatusClient

All Implemented Interfaces:
  ISVNEventHandler

public class SVNStatusClient
extends SVNBasicClient

The SVNStatusClient class provides methods for obtaining information on the status of Working Copy items. The functionality of SVNStatusClient corresponds to the `'svn status'` command of the native SVN command line client.

One of the main advantages of SVNStatusClient lies in that fact that for each processed item the status information is collected and put into an SVNStatus object. Further there are two ways how this object can be passed to a developer (depending on the version of the doStatus() method that was invoked):

1. the SVNStatus can be passed to a developer's status handler (that should implement ISVNStatusHandler) in which the developer retrieves status information and decides how to interprete that info;
2. another way is that an appropriate doStatus() method just returns that SVNStatus object.

Those methods that match the first variant can be called recursively - obtaining status information for all child entries, the second variant just the reverse - methods are called non-recursively and allow to get status info on a single item.

Version:
  1.0
Author:
  TMate Software Ltd.
See Also:
  `ISVNStatusHandler`, `SVNStatus`, Examples

Nested Class Summary

Nested classes inherited from class org.tmatesoft.svn.core.wc.SVNBasicClient
`SVNBasicClient.RepositoryReference, SVNBasicClient.SVNRepositoryLocation`

Field Summary

Fields inherited from interface org.tmatesoft.svn.core.wc.ISVNEventHandler
`UNKNOWN`

Constructor Summary
`` | `SVNStatusClient(ISVNAuthenticationManager authManager, ISVNOptions options)` Constructs and initializes an SVNStatusClient object with the specified run-time configuration and authentication drivers.
`protected` | `SVNStatusClient(ISVNRepositoryPool repositoryPool, ISVNOptions options)`

Method Summary
`SVNStatus` | `doStatus(File path, boolean remote)` Collects status information on a single Working Copy item.
`SVNStatus` | `doStatus(File path, boolean remote, boolean collectParentExternals)` Collects status information on a single Working Copy item.
`long` | `doStatus(File path, boolean recursive, boolean remote, boolean reportAll, boolean includeIgnored, boolean collectParentExternals, ISVNStatusHandler handler)` Collects status information on Working Copy items and passes it to a `handler` .
`long` | `doStatus(File path, boolean recursive, boolean remote, boolean reportAll, boolean includeIgnored, ISVNStatusHandler handler)` Collects status information on Working Copy items and passes it to a `handler`.

Methods inherited from class org.tmatesoft.svn.core.wc.SVNBasicClient
`checkCancelled, createRepository, createRepository, createRepository, createWCAccess, createWCAccess, dispatchEvent, dispatchEvent, getEventDispatcher, getLocations, getOptions, getRepositoryPool, getRevisionNumber, getURL, handleEvent, isIgnoreExternals, isLeaveConflictsUnresolved, setEventHandler, setEventPathPrefix, setIgnoreExternals, setLeaveConflictsUnresolved, sleepForTimeStamp`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### SVNStatusClient

    public SVNStatusClient(ISVNAuthenticationManager authManager,
                           ISVNOptions options)

  Constructs and initializes an SVNStatusClient object with the specified run-time configuration and authentication drivers.

  If `options` is null, then this SVNStatusClient will be using a default run-time configuration driver which takes client-side settings from the default SVN's run-time configuration area but is not able to change those settings (read more on `ISVNOptions` and `SVNWCUtil`).

  If `authManager` is null, then this SVNStatusClient will be using a default authentication and network layers driver (see `SVNWCUtil.createDefaultAuthenticationManager()`) which uses server-side settings and auth storage from the default SVN's run-time configuration area (or system properties if that area is not found).

Parameters:
  `authManager` - an authentication and network layers driver
  `options` - a run-time configuration options driver

### SVNStatusClient

    protected SVNStatusClient(ISVNRepositoryPool repositoryPool,
                              ISVNOptions options)

Method Detail

### doStatus

    public long doStatus(File path,
                         boolean recursive,
                         boolean remote,
                         boolean reportAll,
                         boolean includeIgnored,
                         ISVNStatusHandler handler)
                  throws SVNException

  Collects status information on Working Copy items and passes it to a `handler`.

  Parameters:
    `path` - local item's path
    `recursive` - relevant only if `path` denotes a directory: true to obtain status info recursively for all child entries, false only for items located immediately in the directory itself
    `remote` - true to check up the status of the item in the repository, that will tell if the local item is out-of-date (like '-u' option in the SVN client's `'svn status'` command), otherwise false
    `reportAll` - true to collect status information on those items that are in a 'normal' state (unchanged), otherwise false
    `includeIgnored` - true to force the operation to collect information on items that were set to be ignored (like '--no-ignore' option in the SVN client's 'svn status' command to disregard default and 'svn:ignore' property ignores), otherwise false
    `handler` - a caller's status handler that will be involved in processing status information
  Returns:
    the revision number the status information was collected against
  Throws:
    `SVNException`
  See Also:
    `ISVNStatusHandler`

### doStatus

    public long doStatus(File path,
                         boolean recursive,
                         boolean remote,
                         boolean reportAll,
                         boolean includeIgnored,
                         boolean collectParentExternals,
                         ISVNStatusHandler handler)
                  throws SVNException

  Collects status information on Working Copy items and passes it to a `handler` .

  Parameters:
    `path` - local item's path
    `recursive` - relevant only if `path` denotes a directory: true to obtain status info recursively for all child entries, false only for items located immediately in the directory itself
    `remote` - true to check up the status of the item in the repository, that will tell if the local item is out-of-date (like '-u' option in the SVN client's `'svn status'` command), otherwise false
    `reportAll` - true to collect status information on all items including those ones that are in a 'normal' state (unchanged), otherwise false
    `includeIgnored` - true to force the operation to collect information on items that were set to be ignored (like '--no-ignore' option in the SVN client's `'svn status'` command to disregard default and 'svn:ignore' property ignores), otherwise false
    `collectParentExternals` - false to make the operation ignore information on externals definitions (like '--ignore-externals' option in the SVN client's `'svn status'` command), otherwise true
    `handler` - a caller's status handler that will be involved in processing status information
  Returns:
    the revision number the status information was collected against
  Throws:
    `SVNException`

### doStatus

    public SVNStatus doStatus(File path,
                              boolean remote)
                       throws SVNException

  Collects status information on a single Working Copy item.

  Parameters:
    `path` - local item's path
    `remote` - true to check up the status of the item in the repository, that will tell if the local item is out-of-date (like '-u' option in the SVN client's `'svn status'` command), otherwise false
  Returns:
    an SVNStatus object representing status information for the item
  Throws:
    `SVNException`

### doStatus

    public SVNStatus doStatus(File path,
                              boolean remote,
                              boolean collectParentExternals)
                       throws SVNException

  Collects status information on a single Working Copy item.

  Parameters:
    `path` - local item's path
    `remote` - true to check up the status of the item in the repository, that will tell if the local item is out-of-date (like '-u' option in the SVN client's `'svn status'` command), otherwise false
    `collectParentExternals` - false to make the operation ignore information on externals definitions (like '--ignore-externals' option in the SVN client's `'svn status'` command), otherwise false
  Returns:
    an SVNStatus object representing status information for the item
  Throws:
    `SVNException`

Overview | Package | Class | Tree | Deprecated | Index | Help
| JavaSVN Home
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004-2006 TMate Software Ltd. All Rights Reserved.